/* ==========================================================================
  RED SECTION
===========================================================================*/

.red-section {
  position: relative;
  width: 100%;
  background-color: $color-primary;

  &::before {
    @include mq('laptop') {
      content: '';
      display: block;
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      height: 80px;
      background-color: $color-white;
    }
  }
}

.red-section__row {
  position: relative;
  z-index: 2;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  width: 100%;
}

.red-section__image {
  position: relative;
  display: flex;
  align-items: flex-end;
  justify-content: center;
  width: 60%;

  @include mq('laptop', 'max') {
    width: 100%;
    max-width: 600px;
    margin: 0 auto;
  }

  img {
    position: relative;
    z-index: 2;
  }

  &::after {
    content: '';
    display: block;
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
    width: 80%;
    height: 80%;
    margin: 0 auto;
    background: radial-gradient(ellipse at center,#ff98ae -30%, $color-primary 70%, $color-primary 100%);
  }
}

.red-section__content {
  position: relative;
  z-index: 2;
  width: 40%;
  padding-top: 40px;

  @include mq('laptop', 'max') {
    order: -1;
    width: 100%;
    max-width: 450px;
    margin: 0 auto;
    text-align: center;
  }

  p {
    color: $color-white;
    margin: 0;

    + p {
      margin-top: 20px;
    }
  }
}

/* red section */
